<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>IdeaModule (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="IdeaModule (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/model/idea/IdeaLanguageLevel.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/tooling/model/idea/IdeaModuleDependency.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/model/idea/IdeaModule.html" target="_top">Frames</a></li>
<li><a href="IdeaModule.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.tooling.model.idea</div>
<h2 title="Interface IdeaModule" class="title">Interface IdeaModule</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../org/gradle/tooling/model/Element.html" title="interface in org.gradle.tooling.model">Element</a>, <a href="../../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model">HasGradleProject</a>, <a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a>, <a href="../../../../../org/gradle/tooling/model/Model.html" title="interface in org.gradle.tooling.model">Model</a>, <a href="../../../../../org/gradle/tooling/model/ProjectModel.html" title="interface in org.gradle.tooling.model">ProjectModel</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">IdeaModule</span>
extends <a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a>, <a href="../../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model">HasGradleProject</a></pre>
<div class="block">Represents information about the IDEA module.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-5</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/idea/IdeaCompilerOutput.html" title="interface in org.gradle.tooling.model.idea">IdeaCompilerOutput</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/idea/IdeaModule.html#getCompilerOutput()">getCompilerOutput</a></strong>()</code>
<div class="block">Returns information about idea compiler output (output dirs, inheritance of output dir, etc.)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/idea/IdeaContentRoot.html" title="interface in org.gradle.tooling.model.idea">IdeaContentRoot</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/idea/IdeaModule.html#getContentRoots()">getContentRoots</a></strong>()</code>
<div class="block">All content roots.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/idea/IdeaDependency.html" title="interface in org.gradle.tooling.model.idea">IdeaDependency</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/idea/IdeaModule.html#getDependencies()">getDependencies</a></strong>()</code>
<div class="block">dependencies of this module (i.e.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/GradleProject.html" title="interface in org.gradle.tooling.model">GradleProject</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/idea/IdeaModule.html#getGradleProject()">getGradleProject</a></strong>()</code>
<div class="block">The gradle project that is associated with this module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/idea/IdeaJavaLanguageSettings.html" title="interface in org.gradle.tooling.model.idea">IdeaJavaLanguageSettings</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/idea/IdeaModule.html#getJavaLanguageSettings()">getJavaLanguageSettings</a></strong>()</code>
<div class="block">Returns the Java language settings for this element, or <code>null</code> if this element is not a Java element.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/idea/IdeaModule.html#getJdkName()">getJdkName</a></strong>()</code>
<div class="block">Returns the name of the JDK.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/idea/IdeaProject.html" title="interface in org.gradle.tooling.model.idea">IdeaProject</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/idea/IdeaModule.html#getParent()">getParent</a></strong>()</code>
<div class="block">Returns the project of this module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/idea/IdeaProject.html" title="interface in org.gradle.tooling.model.idea">IdeaProject</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/idea/IdeaModule.html#getProject()">getProject</a></strong>()</code>
<div class="block">Returns the project of this module.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.tooling.model.HierarchicalElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a></h3>
<code><a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html#getChildren()">getChildren</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.tooling.model.Element">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/Element.html" title="interface in org.gradle.tooling.model">Element</a></h3>
<code><a href="../../../../../org/gradle/tooling/model/Element.html#getDescription()">getDescription</a>, <a href="../../../../../org/gradle/tooling/model/Element.html#getName()">getName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.tooling.model.HasGradleProject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model">HasGradleProject</a></h3>
<code><a href="../../../../../org/gradle/tooling/model/HasGradleProject.html#getProjectIdentifier()">getProjectIdentifier</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getJavaLanguageSettings()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJavaLanguageSettings</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/tooling/model/idea/IdeaJavaLanguageSettings.html" title="interface in org.gradle.tooling.model.idea">IdeaJavaLanguageSettings</a>&nbsp;getJavaLanguageSettings()
                                                 throws <a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></pre>
<div class="block">Returns the Java language settings for this element, or <code>null</code> if this element is not a Java element.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The Java language settings.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></code> - For Gradle versions older than 2.11, where this method is not supported.</dd><dt><span class="strong">Since:</span></dt>
  <dd>2.11</dd></dl>
</li>
</ul>
<a name="getJdkName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJdkName</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getJdkName()
                  throws <a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></pre>
<div class="block">Returns the name of the JDK.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The name of the JDK.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></code></dd><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
<a name="getContentRoots()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContentRoots</h4>
<pre><a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/idea/IdeaContentRoot.html" title="interface in org.gradle.tooling.model.idea">IdeaContentRoot</a>&gt;&nbsp;getContentRoots()</pre>
<div class="block">All content roots. Most idea modules have a single content root.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>content roots</dd><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-5</dd></dl>
</li>
</ul>
<a name="getGradleProject()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGradleProject</h4>
<pre><a href="../../../../../org/gradle/tooling/model/GradleProject.html" title="interface in org.gradle.tooling.model">GradleProject</a>&nbsp;getGradleProject()</pre>
<div class="block">The gradle project that is associated with this module.
 Typically, a single module corresponds to a single gradle project.
 <p>
 See <a href="../../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model"><code>HasGradleProject</code></a></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/HasGradleProject.html#getGradleProject()">getGradleProject</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model">HasGradleProject</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>associated gradle project</dd><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-5</dd></dl>
</li>
</ul>
<a name="getParent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParent</h4>
<pre><a href="../../../../../org/gradle/tooling/model/idea/IdeaProject.html" title="interface in org.gradle.tooling.model.idea">IdeaProject</a>&nbsp;getParent()</pre>
<div class="block">Returns the project of this module.
 Alias to <a href="../../../../../org/gradle/tooling/model/idea/IdeaModule.html#getProject()"><code>getProject()</code></a></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html#getParent()">getParent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>idea project</dd><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-5</dd></dl>
</li>
</ul>
<a name="getProject()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProject</h4>
<pre><a href="../../../../../org/gradle/tooling/model/idea/IdeaProject.html" title="interface in org.gradle.tooling.model.idea">IdeaProject</a>&nbsp;getProject()</pre>
<div class="block">Returns the project of this module.
 Alias to <a href="../../../../../org/gradle/tooling/model/idea/IdeaModule.html#getParent()"><code>getParent()</code></a></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>idea project</dd><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-5</dd></dl>
</li>
</ul>
<a name="getCompilerOutput()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCompilerOutput</h4>
<pre><a href="../../../../../org/gradle/tooling/model/idea/IdeaCompilerOutput.html" title="interface in org.gradle.tooling.model.idea">IdeaCompilerOutput</a>&nbsp;getCompilerOutput()</pre>
<div class="block">Returns information about idea compiler output (output dirs, inheritance of output dir, etc.)</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-5</dd></dl>
</li>
</ul>
<a name="getDependencies()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDependencies</h4>
<pre><a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/idea/IdeaDependency.html" title="interface in org.gradle.tooling.model.idea">IdeaDependency</a>&gt;&nbsp;getDependencies()</pre>
<div class="block">dependencies of this module (i.e. module dependencies, library dependencies, etc.)</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>dependencies</dd><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-5</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/model/idea/IdeaLanguageLevel.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/tooling/model/idea/IdeaModuleDependency.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/model/idea/IdeaModule.html" target="_top">Frames</a></li>
<li><a href="IdeaModule.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
